#! /bin/bash

# beware of locale
unset LANGUAGE
unset LANG
unset LC_LANG
unset LC_MESSAGES
unset DATA_PATH

nbnodes=1
kadserver=ka-d-server
KA_SESSION_NAME="-s kainstall"
ka_call_num=0
release_delay=1

tmpdir=/tmp/ka-d$$
mkdir $tmpdir

inc_ka_session() 
{
    (( ka_call_num++ ))
    cur_ka_session=$KA_SESSION_NAME$ka_call_num
}

test_ka-d-client ()
{
    if [ ! -f $DATA_PATH/ka/ka-d-client ]; then
	echo "---------------------------------------------------"
	echo "You should have a valid ka rescue boot image mounted in $STAGE2_PATH"
	echo "mount rescue_stage2 $STAGE2_PATH -o loop"
	echo "---------------------------------------------------"
	exit	
    fi
}

test_root ()
{
    if [ "$UID" -ne 0 ]; then
    echo '*************************************************************************************'
    echo '*************** This script should be executed by root only ! ***********************'
    echo '*************************************************************************************'
    sleep 3
    echo trying anyway....
    fi
}

show_data_size() {
    echo "---------------------------------------------------"
    echo "$DATA_PATH size is:"
    du -sh $DATA_PATH
    echo "WARNING, sending it to ram, so please be sure"
    echo "you have enough RAM available"
    echo "---------------------------------------------------"
    echo
}


############
# MAIN

# test arg

if [ -z "$2" ]; then
    echo
    echo "Usage:"
    echo "DATA_PATH=/mnt/ka $0 -n nb_nodes"
    echo
    exit 1
else 
    nbnodes=$2
fi

if [ -z "$DATA_PATH" ]; then 
    DATA_PATH="/mnt/ka"
fi

#test_root
test_ka-d-client
show_data_size

echo +++ Using user: $USER +++
echo +++ Sending: $DATA_PATH +++
echo +++ Number of nodes: $nbnodes +++
echo +++ KA session name: $KA_SESSION_NAME +++
echo

#$kadserver -s getstage2 -n $nbnodes -e "(cd $DATA_PATH; tar --create --one-file-system --sparse $tar_opts . )"
$kadserver -s getstage2 -n $nbnodes -e "(cd $DATA_PATH; tar --create --one-file-system --sparse $tar_opts . )"

#inc_ka_session
#$kadserver $cur_ka_session -n $nbnodes -d $release_delay -e "echo Hello"